%define name		libdvbpsi
%define version		0.1.5
%define release		%mkrel 2

%define major		4
%define oname		%{name}%major
%define mdkversion		%(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)
%if %mdkversion >= 910
%define lib_name	%mklibname dvbpsi %{major}
%define lib_name_devel  %mklibname dvbpsi %{major} -d
%else
%define lib_name	libdvbpsi%{major}
%define lib_name_devel  libdvbpsi%{major}-devel
%endif
#fixed2
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}


Summary:	A library for decoding and generating MPEG 2 and DVB PSI sections
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://www.videolan.org/libdvbpsi/
Group:		System/Libraries
Source:		http://www.videolan.org/pub/videolan/libdvbpsi/%{version}/%{oname}-%{version}.tar.bz2
BuildRoot:	%_tmppath/%name-%version-%release-root

%description
libdvbpsi is a simple library designed for decoding and generating
MPEG 2 TS and DVB PSI tables. The important features are:
 * PAT decoder and generator.
 * PMT decoder and generator.

%package -n %{lib_name}
Summary:	A library for decoding and generating MPEG 2 and DVB PSI sections
Group:		System/Libraries
Provides:	%name

%description -n %{lib_name}
libdvbpsi is a simple library designed for decoding and generating
MPEG 2 TS and DVB PSI tables. The important features are:
 * PAT decoder and generator.
 * PMT decoder and generator.

%package -n %lib_name_devel
Summary:	Development tools for programs which will use the libdvbpsi library
Group:		Development/C
Provides:	%name-devel
Requires:	%{lib_name} = %{version}

%description -n %lib_name_devel
The %{name}-devel package includes the header files and static libraries
necessary for developing programs which will manipulate MPEG 2 and DVB PSI
information using the %{name} library.

If you are going to develop programs which will manipulate MPEG 2 and DVB PSI
information you should install %{name}-devel.  You'll also need to have
the %name package installed.


%prep
%setup -q -n %oname-%version

%build
%if %mdkversion <= 1000
%define __libtoolize true
%endif
%configure2_5x --enable-release
%make 

%install
rm -rf %buildroot
%makeinstall

%clean
rm -rf %buildroot

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root,-)
%doc AUTHORS README COPYING ChangeLog
%{_libdir}/*.so.*

%files -n %lib_name_devel
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*a
%{_libdir}/*.so
%{_includedir}/*

%changelog
* Thu Jul  7 2005 Gtz Waschk <waschk@mandriva.org> 0.1.5-2mdk
- backport support

* Thu Jul  7 2005 Gtz Waschk <waschk@mandriva.org> 0.1.5-1mdk
- reenable libtoolize
- major 4
- New release 0.1.5

* Thu Feb 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.4-2mdk
- support mdk 9.0

* Sun Jan  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1.4-1mdk
- spec fixes
- don't libtoolize
- major 3
- new version

* Wed Jul 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.3-1mdk
- throw out packager tag
- mklibname fixes
- new version

* Fri Jul 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.2-5mdk
- fix description (thanks to Adam Williamson)

* Thu Jul 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.2-4mdk
- autoconf 2.5 macro
- mklibname macro

* Wed Jan 08 2003 Yves Duret <yves@zarb.org> 0.1.2-3mdk
- rebuild.

* Fri Dec 13 2002 Yves Duret <yves@zarb.org> 0.1.2-2mdk
- s#Copyright#License#
- include the libtool .la files.
- use macros.
- update URL: tag.

* Fri Oct 11 2002 Samuel Hocevar <sam@zoy.org>
- 0.1.2 release.

* Sat May 18 2002 Arnaud de Bossoreille de Ribou <bozo@via.ecp.fr>
- 0.1.1 release.

* Mon Apr 8 2002 Arnaud de Bossoreille de Ribou <bozo@via.ecp.fr>
- split into two separate packages.

* Thu Apr 4 2002 Jean-Paul Saman <saman@natlab.research.philips.com>
- first version of package for redhat systems.

